Skip to navigation

Shipment

Deprecated
The Shipping API makes UPS shipping services available to client applications that communicate with UPS using the Internet

Authentication

AuthorizationBearer

Find your Client ID and Secret on your app info page.

  1. Select “Try It”
  2. In the Security section enter your Client ID and Secret.
  3. Select “Request Token”
  4. Enter any additional information in the Body and Parameters sections.
  5. Select “Send” to execute your API request

Path parameters

deprecatedVersionstringRequiredDefaults to v1

Indicates Ship API to display the new release features in Ship API response based on Ship release.

Valid values:

  • v1
  • v1601
  • v1607
  • v1701
  • v1707
  • v1801
  • v1807
  • v2108
  • v2205

Headers

transIdstringOptional
An identifier unique to the request. Length 32
transactionSrcstringOptionalDefaults to testing

An identifier of the client/source application that is making the request.Length 512

Query parameters

additionaladdressvalidationstringOptional

Valid Values: city = validation will include city.Length 15

Request

Generate sample code for popular API requests by selecting an example below. To view a full sample request and response, first click "Authorize" and enter your application credentials, then populate the required parameters above and click "Try it out".
ShipmentRequestobjectRequired
Shipment Request.

Response

successful operation
ShipmentResponseobject
Shipment Response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error